%define __cmake_in_source_build 1
%global debug_package %{nil}
%global gituser       dscharrer
%global gitname       innoextract
%global commit        6e9e34ed0876014fdb46e684103ef8c3605e382e
%global shortcommit   %(c=%{commit}; echo ${c:0:7})
%global gitcounter    1

Name:           innoextract
Version:        1.9.git.%{gitcounter}
Release:        %{shortcommit}%{?dist}
License:        zlib
Summary:        Tool to extract installers created by Inno Setup
Url:            https://github.com/%{gituser}/%{gitname}
Source:         %{url}/tarball/%{commit}#/%{gituser}-%{name}-%{shortcommit}.tar.gz
BuildRequires:  gcc-c++ cmake boost-devel xz-devel
BuildRequires:  devscripts
# BuildRequires:  make

%description
Inno Setup is a tool to create installers for Microsoft Windows
applications. innoextract allows to extract such installers under
non-windows systems without running the actual installer using wine.

%prep
%autosetup -p1 -n %{gituser}-%{gitname}-%{shortcommit}

%build
%cmake \
    -DCMAKE_INSTALL_DATAROOTDIR="%{_datadir}" \
    -DCMAKE_INSTALL_MANDIR="%{_mandir}" \
    -DCMAKE_INSTALL_BINDIR="%{_bindir}" \
    -DUSE_LDGOLD=FALSE \
    .
make %{?_smp_mflags}

%install
%make_install

%check
hardening-check -v --nobranchprotection %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%doc README.md CHANGELOG VERSION
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Mar 16 2025 samoht0 <https://copr.fedorainfracloud.org/coprs/samoht0/> git-master
- update to git-master based on fedora package
- spec cleanup
